From e0f8e23fd70d0724b5781d189dca75257d3a6a54 Mon Sep 17 00:00:00 2001
From: tteckster <tteckster@gmail.com>
Date: Tue, 6 Feb 2024 05:42:54 -0500
Subject: [PATCH] Update VMs - The scripts will only work with PVE versions
 7.4-13 or higher.

---
 vm/debian-vm.sh         | 4 ++--
 vm/haos-vm.sh           | 4 ++--
 vm/mikrotik-routeros.sh | 4 ++--
 vm/nextcloud-vm.sh      | 4 ++--
 vm/openwrt.sh           | 4 ++--
 vm/owncloud-vm.sh       | 4 ++--
 vm/pimox-haos-vm.sh     | 4 ++--
 vm/ubuntu-vm.sh         | 4 ++--
 8 files changed, 16 insertions(+), 16 deletions(-)

diff --git a/vm/debian-vm.sh b/vm/debian-vm.sh
index e390073b..c2efe13c 100644
--- a/vm/debian-vm.sh
+++ b/vm/debian-vm.sh
@@ -92,9 +92,9 @@ function check_root() {
 }
 
 function pve_check() {
-  if ! pveversion | grep -Eq "pve-manager/(7\.[2-9]|8\.[0-9])"; then
+  if ! pveversion | grep -Eq "pve-manager/(7.4-[1][3-9]|8.1.[1-9])"; then
     msg_error "This version of Proxmox Virtual Environment is not supported"
-    echo -e "Requires PVE Version 7.2 or higher"
+    echo -e "Requires PVE Version 7.4-13 or higher"
     echo -e "Exiting..."
     sleep 2
     exit
diff --git a/vm/haos-vm.sh b/vm/haos-vm.sh
index 65733214..75171c11 100644
--- a/vm/haos-vm.sh
+++ b/vm/haos-vm.sh
@@ -115,9 +115,9 @@ function check_root() {
 }
 
 function pve_check() {
-  if ! pveversion | grep -Eq "pve-manager/(7\.[2-9]|8\.[0-9])"; then
+  if ! pveversion | grep -Eq "pve-manager/(7.4-[1][3-9]|8.1.[1-9])"; then
     msg_error "This version of Proxmox Virtual Environment is not supported"
-    echo -e "Requires PVE Version 7.2 or higher"
+    echo -e "Requires PVE Version 7.4-13 or higher"
     echo -e "Exiting..."
     sleep 2
     exit
diff --git a/vm/mikrotik-routeros.sh b/vm/mikrotik-routeros.sh
index 5aba3c29..aca22423 100644
--- a/vm/mikrotik-routeros.sh
+++ b/vm/mikrotik-routeros.sh
@@ -62,9 +62,9 @@ function cleanup() {
 }
 TEMP_DIR=$(mktemp -d)
 pushd $TEMP_DIR >/dev/null
- if ! pveversion | grep -Eq "pve-manager/(7\.[2-9]|8\.[0-9])"; then
+ if ! pveversion | grep -Eq "pve-manager/(7.4-[1][3-9]|8.1.[1-9])"; then
   echo "⚠ This version of Proxmox Virtual Environment is not supported"
-  echo -e "Requires PVE Version 7.2 or higher"
+  echo -e "Requires PVE Version 7.4-13 or higher"
   echo "Exiting..."
   sleep 3
   exit
diff --git a/vm/nextcloud-vm.sh b/vm/nextcloud-vm.sh
index 5e3fce87..af90b388 100644
--- a/vm/nextcloud-vm.sh
+++ b/vm/nextcloud-vm.sh
@@ -91,9 +91,9 @@ function check_root() {
 }
 
 function pve_check() {
-  if ! pveversion | grep -Eq "pve-manager/(7\.[2-9]|8\.[0-9])"; then
+  if ! pveversion | grep -Eq "pve-manager/(7.4-[1][3-9]|8.1.[1-9])"; then
     msg_error "This version of Proxmox Virtual Environment is not supported"
-    echo -e "Requires PVE Version 7.2 or higher"
+    echo -e "Requires PVE Version 7.4-13 or higher"
     echo -e "Exiting..."
     sleep 2
     exit
diff --git a/vm/openwrt.sh b/vm/openwrt.sh
index cc920c5e..800cf4d4 100644
--- a/vm/openwrt.sh
+++ b/vm/openwrt.sh
@@ -157,9 +157,9 @@ function msg_error() {
 }
 
 function pve_check() {
-  if ! pveversion | grep -Eq "pve-manager/(7\.[2-9]|8\.[0-9])"; then
+  if ! pveversion | grep -Eq "pve-manager/(7.4-[1][3-9]|8.1.[1-9])"; then
     echo -e "${CROSS} This version of Proxmox Virtual Environment is not supported"
-    echo -e "Requires PVE Version 7.2 or higher"
+    echo -e "Requires PVE Version 7.4-13 or higher"
     echo -e "Exiting..."
     sleep 2
     exit
diff --git a/vm/owncloud-vm.sh b/vm/owncloud-vm.sh
index 72ac7ad4..136a5171 100644
--- a/vm/owncloud-vm.sh
+++ b/vm/owncloud-vm.sh
@@ -91,9 +91,9 @@ function check_root() {
 }
 
 function pve_check() {
-  if ! pveversion | grep -Eq "pve-manager/(7\.[2-9]|8\.[0-9])"; then
+  if ! pveversion | grep -Eq "pve-manager/(7.4-[1][3-9]|8.1.[1-9])"; then
     msg_error "This version of Proxmox Virtual Environment is not supported"
-    echo -e "Requires PVE Version 7.2 or higher"
+    echo -e "Requires PVE Version 7.4-13 or higher"
     echo -e "Exiting..."
     sleep 2
     exit
diff --git a/vm/pimox-haos-vm.sh b/vm/pimox-haos-vm.sh
index f16a6338..8c8bebff 100644
--- a/vm/pimox-haos-vm.sh
+++ b/vm/pimox-haos-vm.sh
@@ -84,9 +84,9 @@ else
   exit
 fi
 function PVE_CHECK() {
-  if ! pveversion | grep -Eq "pve-manager/(7\.[2-9]|8\.[0-9])"; then
+  if ! pveversion | grep -Eq "pve-manager/(7.4-[1][3-9]|8.1.[1-9])"; then
     echo -e "${CROSS} This version of Proxmox Virtual Environment is not supported"
-    echo -e "Requires PVE Version 7.2 or higher"
+    echo -e "Requires PVE Version 7.4-13 or higher"
     echo -e "Exiting..."
     sleep 2
     exit
diff --git a/vm/ubuntu-vm.sh b/vm/ubuntu-vm.sh
index 9e19c43d..5d36ba96 100644
--- a/vm/ubuntu-vm.sh
+++ b/vm/ubuntu-vm.sh
@@ -92,9 +92,9 @@ function check_root() {
 }
 
 function pve_check() {
-  if ! pveversion | grep -Eq "pve-manager/(7\.[2-9]|8\.[0-9])"; then
+  if ! pveversion | grep -Eq "pve-manager/(7.4-[1][3-9]|8.1.[1-9])"; then
     msg_error "This version of Proxmox Virtual Environment is not supported"
-    echo -e "Requires PVE Version 7.2 or higher"
+    echo -e "Requires PVE Version 7.4-13 or higher"
     echo -e "Exiting..."
     sleep 2
     exit